This endpoint sets or updates the contact details (email and phone) for the account. The contact details are used to send notifications to the cardholder, such as for 3DSecure and one time passwords.
Update Contact Details
patch
/api/accounts/{accountId}/contact-details Request
Path Parameters
accountIdstringrequiredAccountId for the contact details
Body application/json
emailobjectemailAddressstringrequiredEmail address
phoneobjectphoneNumberstringrequiredPhone number
Response
Successful operation.
Body application/json
emailobjectaccountIdstringcreatedAtstring<date-time>modifiedAtstring<date-time>emailAddressstringrequired
phoneobjectaccountIdstringcreatedAtstring<date-time>modifiedAtstring<date-time>phoneNumberstringrequired
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
API caller is not allowed to perform the action.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring